Page MenuHomePhabricator

Undeploy graphoid
Open, MediumPublic

Description

Per T211881, graphoid is to be undeploy (with the functionality being transferred to the client side). This task is for tracking this. A list of steps, in dependency order are below. For now they are SRE related, feel free to augment the list

  • Deploy client side only on beta
  • Deploy client side config change to test wiki's
  • Deploy spinner change on beta
  • Deploy client side config to mediawiki.org
  • Deploy spinner change to production
  • Deploy client side config to phase 1 wikis
  • Deploy css perf changes to production
  • Deploy client side config to phase 2 wikis
  • Deploy client side config to phase 3 wikis
  • Deploy client side config to phase 4 wikis
  • Deploy final client side config clean-up
  • Update RESTBase configuration to no longer reference graphoid
  • Remove the LVS configuration for graphoid from scb and LVS loadbalancers
  • Remove DNS for graphoid.svc.{eqiad|codfw}.wmnet
  • Remove graphoid puppet code
  • Stop graphoid on scb clusters, cleanup scb from graphoid configuration, code, deploys, users etc

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Hello, when is it planned to complete undeploy? :)

What is the status of the decommissioning of Graphoid ? The reason I ask is that CI still has to maintain images based on Debian Jessie (EOL since April 2020) with Node JS 6 (long EOL) and we would really like to be able to dispose of those legacy bits.

What is the status of the decommissioning of Graphoid ?

As far as I know, all wikis are scheduled to be shifted to client-only rendering by end of the year. @MarkTraceur maybe able to shed some more light.

The reason I ask is that CI still has to maintain images based on Debian Jessie (EOL since April 2020) with Node JS 6 (long EOL) and we would really like to be able to dispose of those legacy bits.

Drop support for it I 'd say. Graphoid's undeployable anyway right now and no one in WMF is interested in deploying it anyway, having CI for something like that makes no sense.

Change 642459 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki/services/graphoid/deploy] Archive

https://gerrit.wikimedia.org/r/642459

Change 642459 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki/services/graphoid/deploy] Archive

https://gerrit.wikimedia.org/r/642459

Change 654950 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Graph@master] Drop ability to attempt server-side rendering with Graphoid

https://gerrit.wikimedia.org/r/654950

Change 654954 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop ability to use graphoid

https://gerrit.wikimedia.org/r/654954

Change 654959 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] lvs: stop monitoring graphoid

https://gerrit.wikimedia.org/r/654959

Change 654960 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admin: delete the graphoid admin group, remove from scb

https://gerrit.wikimedia.org/r/654960

Change 654960 abandoned by Dzahn:
[operations/puppet@production] admin: delete the graphoid admin group, remove from scb

Reason:
ok, waiting until everything is removed

https://gerrit.wikimedia.org/r/654960

Change 654959 abandoned by Dzahn:
[operations/puppet@production] lvs: stop monitoring graphoid

Reason:
like with the admin group.. only after it's actually removed

https://gerrit.wikimedia.org/r/654959

Change 654959 restored by Alexandros Kosiaris:
[operations/puppet@production] lvs: stop monitoring graphoid

https://gerrit.wikimedia.org/r/654959

Change 654959 merged by Alexandros Kosiaris:
[operations/puppet@production] lvs: stop monitoring graphoid

https://gerrit.wikimedia.org/r/654959

Change 663812 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] restbase: Remove graphoid config

https://gerrit.wikimedia.org/r/663812

Change 663813 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Remove graphoid from services_proxy

https://gerrit.wikimedia.org/r/663813

Change 663814 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Remove graphoid deployment references

https://gerrit.wikimedia.org/r/663814

Change 663815 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] graphoid: Switch to lvs_setup

https://gerrit.wikimedia.org/r/663815

Change 663816 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] graphoid: Switch to service_setup

https://gerrit.wikimedia.org/r/663816

Change 663817 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] graphoid: Remove conftool data

https://gerrit.wikimedia.org/r/663817

Change 663818 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] graphoid: Remove LVS IP from scb

https://gerrit.wikimedia.org/r/663818

Change 663819 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] graphoid: Remove all puppet references

https://gerrit.wikimedia.org/r/663819

Patches being uploaded. I 've tried to cover everything, but maybe I missed something. In the course of the next week they will be slowly deployed, purging graphoid from the infrastructure. In case anyone makes it to this task because of some resource (VM, dev env, whatever) was rendered inoperable or broken because of these patches, they have my implicit +1 to destroy above said resource and/or proceed to corrective actions for untangling their resource from graphoid.

Change 663822 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/dns@master] graphoid: Remove all RRs for it

https://gerrit.wikimedia.org/r/663822

Tagging Projects-Cleanup for the repositories archival.

I guess we can empty up mediawiki/service/graphoid.git with a note pointing back to this task, mark the repository readonly and then do the rest of the usual cleanup task we are used to (deactivate in Diffusion, delete github mirrors etc).

DannyS712 renamed this task from Undeploy graphoid to Undeploy graphoid.Feb 12 2021, 3:26 PM

Tagging Projects-Cleanup for the repositories archival.

I guess we can empty up mediawiki/service/graphoid.git with a note pointing back to this task, mark the repository readonly and then do the rest of the usual cleanup task we are used to (deactivate in Diffusion, delete github mirrors etc).

Let's do that as a distinct task.

Mentioned in SAL (#wikimedia-operations) [2021-02-17T18:20:17Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@c5c4b2d]: Remove graphoid T242855

Mentioned in SAL (#wikimedia-operations) [2021-02-17T18:40:10Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@c5c4b2d]: Remove graphoid T242855 (duration: 19m 54s)

Change 663812 merged by Alexandros Kosiaris:
[operations/puppet@production] restbase: Remove graphoid config

https://gerrit.wikimedia.org/r/663812

Change 663813 merged by Alexandros Kosiaris:
[operations/puppet@production] Remove graphoid from services_proxy

https://gerrit.wikimedia.org/r/663813

Change 663814 merged by Alexandros Kosiaris:
[operations/puppet@production] Remove graphoid deployment references

https://gerrit.wikimedia.org/r/663814

Change 663815 merged by Alexandros Kosiaris:
[operations/puppet@production] graphoid: Switch to lvs_setup

https://gerrit.wikimedia.org/r/663815

Change 663816 merged by Alexandros Kosiaris:
[operations/puppet@production] graphoid: Switch to service_setup

https://gerrit.wikimedia.org/r/663816

Change 663822 merged by Alexandros Kosiaris:
[operations/dns@master] graphoid: Remove all RRs for it

https://gerrit.wikimedia.org/r/663822

Change 663817 merged by Alexandros Kosiaris:
[operations/puppet@production] graphoid: Remove conftool data

https://gerrit.wikimedia.org/r/663817

Change 663818 merged by Alexandros Kosiaris:
[operations/puppet@production] graphoid: Remove LVS IP from scb

https://gerrit.wikimedia.org/r/663818

Change 663819 merged by Alexandros Kosiaris:
[operations/puppet@production] graphoid: Remove all puppet references

https://gerrit.wikimedia.org/r/663819

Mentioned in SAL (#wikimedia-releng) [2021-03-04T15:00:48Z] <Majavah> remove graphoid role from deploymenr-sca[01-02] ref T276102 and it being decomissioned in T242855

Change 654954 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop ability to use graphoid

https://gerrit.wikimedia.org/r/654954

Seddon added a subscriber: Seddon.

Half a year later, is there anyone feeling kind of responsible to perform the remaining two bullet points still open in the task description?

@Aklapper Can a volunteer like me perform the remaining two bullet points? If not, can you please point me towards any code changes that might be required to do the 2 clean up tasks?

Half a year later, is there anyone feeling kind of responsible to perform the remaining two bullet points still open in the task description?

For what is worth, I only have a vague idea what the last 2 remaining bullet points are about. Let me know though if I can somehow help (merge/deploy something).

@Seddon: Could you elaborate on these bullet points, please? Thanks!

I've removed graphoid info from https://www.mediawiki.org/wiki/Extension:Graph to avoid further confusion for readers. I moved part of it to https://www.mediawiki.org/wiki/Extension:Graph/Graphoid (marked historical) just in case everyone ever needs it again.

I updated the patch https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Graph/+/654950 to remove the logic associated with graphoid from the extension.

As far as I can determine there are no further client side css performance updates outstanding, but I'm not sure what "Deploy final client side config clean-up" is about.

Change 654950 merged by jenkins-bot:

[mediawiki/extensions/Graph@master] Drop ability to attempt server-side rendering with Graphoid

https://gerrit.wikimedia.org/r/654950